(function () {
    "use strict";

    angular.module('core').controller('jobTerceiroController', controller);
    controller.$inject = ['$scope', '$filter'];

    function controller($scope, $filter) {
        $scope.initializeLayout('Job de Integração de Terceiros');

        $scope.state = {
            filtro: {
                ativo: false,
                args: {},
            },
        };

        /* funções */
        $scope.initialize = function () {
            $scope.refresh();
        };

        $scope.refresh = function () {
        };

        $scope.clearFilter = function () {
            //$scope.state.filtro.args.chaves = '';

            $scope.refresh();
        };
        $scope.toggleFilter = function () {
            $scope.state.filtro.ativo = !$scope.state.filtro.ativo;
        };

        $scope.initialize();

    }

})();